Create Offline Claim
curl --request POST \
--url https://api.production.orderprotection.com/v1/claims/offline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"email": "customer@example.com",
"phoneNumber": "+1234567890"
},
"items": [
{
"sourceProductId": "product_123",
"sourceVariantId": "variant_123",
"name": "Product Name",
"images": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"sourceItemId": "item_123",
"sku": "SKU-12345",
"details": "Product details and description of the issue",
"productImage": "https://example.com/product.jpg",
"price": 99.99,
"subIssueId": "sub_issue_123",
"productDescription": "Description of the product and its condition",
"warrantyPeriod": "P1Y"
}
],
"warranty": {
"dateOfPurchase": "2024-01-15T00:00:00.000Z",
"receiptRequired": true,
"receiptImages": [
"https://example.com/receipt.jpg"
]
},
"shippingAddress": {
"firstName": "John",
"lastName": "Smith",
"address1": "123 Main St",
"city": "New York",
"zip": "10001",
"country": "United States",
"address2": "Apt 1",
"state": "NY",
"stateAbr": "NY",
"countryAbr": "US",
"lat": 40.7128,
"lng": -74.006,
"addressOrigin": "CONCIERGE"
},
"storeId": "store_123",
"signature": "https://example.com/signature.png",
"salesChannel": "IN_STORE",
"claimCategory": "WARRANTY",
"issueType": "DEFECTIVE_ITEM",
"resolution": "REFUND",
"claimFiledFrom": "EXTERNAL",
"options": {
"fromValet": false,
"requireCustomerSignature": false
}
}
'import requests
url = "https://api.production.orderprotection.com/v1/claims/offline"
payload = {
"customer": {
"email": "customer@example.com",
"phoneNumber": "+1234567890"
},
"items": [
{
"sourceProductId": "product_123",
"sourceVariantId": "variant_123",
"name": "Product Name",
"images": ["https://example.com/image1.jpg", "https://example.com/image2.jpg"],
"sourceItemId": "item_123",
"sku": "SKU-12345",
"details": "Product details and description of the issue",
"productImage": "https://example.com/product.jpg",
"price": 99.99,
"subIssueId": "sub_issue_123",
"productDescription": "Description of the product and its condition",
"warrantyPeriod": "P1Y"
}
],
"warranty": {
"dateOfPurchase": "2024-01-15T00:00:00.000Z",
"receiptRequired": True,
"receiptImages": ["https://example.com/receipt.jpg"]
},
"shippingAddress": {
"firstName": "John",
"lastName": "Smith",
"address1": "123 Main St",
"city": "New York",
"zip": "10001",
"country": "United States",
"address2": "Apt 1",
"state": "NY",
"stateAbr": "NY",
"countryAbr": "US",
"lat": 40.7128,
"lng": -74.006,
"addressOrigin": "CONCIERGE"
},
"storeId": "store_123",
"signature": "https://example.com/signature.png",
"salesChannel": "IN_STORE",
"claimCategory": "WARRANTY",
"issueType": "DEFECTIVE_ITEM",
"resolution": "REFUND",
"claimFiledFrom": "EXTERNAL",
"options": {
"fromValet": False,
"requireCustomerSignature": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {email: 'customer@example.com', phoneNumber: '+1234567890'},
items: [
{
sourceProductId: 'product_123',
sourceVariantId: 'variant_123',
name: 'Product Name',
images: ['https://example.com/image1.jpg', 'https://example.com/image2.jpg'],
sourceItemId: 'item_123',
sku: 'SKU-12345',
details: 'Product details and description of the issue',
productImage: 'https://example.com/product.jpg',
price: 99.99,
subIssueId: 'sub_issue_123',
productDescription: 'Description of the product and its condition',
warrantyPeriod: 'P1Y'
}
],
warranty: {
dateOfPurchase: '2024-01-15T00:00:00.000Z',
receiptRequired: true,
receiptImages: ['https://example.com/receipt.jpg']
},
shippingAddress: {
firstName: 'John',
lastName: 'Smith',
address1: '123 Main St',
city: 'New York',
zip: '10001',
country: 'United States',
address2: 'Apt 1',
state: 'NY',
stateAbr: 'NY',
countryAbr: 'US',
lat: 40.7128,
lng: -74.006,
addressOrigin: 'CONCIERGE'
},
storeId: 'store_123',
signature: 'https://example.com/signature.png',
salesChannel: 'IN_STORE',
claimCategory: 'WARRANTY',
issueType: 'DEFECTIVE_ITEM',
resolution: 'REFUND',
claimFiledFrom: 'EXTERNAL',
options: {fromValet: false, requireCustomerSignature: false}
})
};
fetch('https://api.production.orderprotection.com/v1/claims/offline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"payload": {
"sourceOrderId": "XX-1234-1234",
"customer": {
"email": "customer@example.com",
"phoneNumber": "+1234567890"
},
"item": {
"sourceProductId": "product_123",
"sourceVariantId": "variant_123",
"name": "Product Name",
"images": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"sourceItemId": "item_123",
"sku": "SKU-12345",
"details": "Product details and description of the issue",
"productImage": "https://example.com/product.jpg",
"price": 99.99,
"subIssueId": "sub_issue_123",
"productDescription": "Description of the product and its condition",
"warrantyPeriod": "P1Y"
},
"warranty": {
"dateOfPurchase": "2024-01-15T00:00:00.000Z",
"receiptRequired": true,
"receiptImages": [
"https://example.com/receipt.jpg"
]
},
"shippingAddress": {
"firstName": "John",
"lastName": "Smith",
"address1": "123 Main St",
"city": "New York",
"zip": "10001",
"country": "United States",
"address2": "Apt 1",
"state": "NY",
"stateAbr": "NY",
"countryAbr": "US",
"lat": 40.7128,
"lng": -74.006,
"addressOrigin": "CONCIERGE"
},
"storeId": "store_123",
"signature": "https://example.com/signature.png",
"salesChannel": "IN_STORE",
"claimCategory": "WARRANTY",
"issueType": "DEFECTIVE_ITEM",
"resolution": "REFUND"
}
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "order not found",
"statusCode": 404
}Claims
Create Offline Claim
Create a claim for an in-store or offline purchase (e.g., warranty claims)
POST
/
v1
/
claims
/
offline
Create Offline Claim
Warranty claims for orders that were made through an alternative sales channel not through your online store.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The store identifier
Example:
"store_123"
Customer signature image URL (can be empty string)
Example:
"https://example.com/signature.png"
The sales channel for the claim
Available options:
ONLINE, IN_STORE Example:
"IN_STORE"
The category of the claim
Available options:
SHIPPING, WARRANTY Example:
"WARRANTY"
The type of issue being claimed
Available options:
STOLEN, DAMAGED, ORDER_DELIVERED_NOT_RECEIVED, DEFECTIVE_ITEM, WRONG_ITEM, MISSING_ITEM, RETURNED_TO_SENDER, MULTIPLE, TRACKING_NOT_MOVING, WRONG_ADDRESS Example:
"DEFECTIVE_ITEM"
The requested resolution method
Available options:
RESHIP, REFUND, STORE_CREDIT Example:
"REFUND"
Indicates where the claim was filed from
Available options:
EXTERNAL, INTERNAL Example:
"EXTERNAL"
Additional options for claim creation
Show child attributes
Show child attributes
⌘I

